package com.ylx.massage.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 充值记录表
 * </p>
 */
@Getter
@Setter
@Accessors(chain = true)
@ApiModel(value = "TRecharge", description = "充值记录表")
@TableName("t_recharge")
public class TRecharge implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("c_id")
    @ApiModelProperty("cId")
    private String cId;

    /**
     * 用户openid
     */
    @TableField("c_open_id")
    @ApiModelProperty("用户openid")
    private String cOpenId;

    @TableField("pay_status")
    @ApiModelProperty("支付状态 \\r\\n-1:待支付\\r\\n-2:退款\\r\\n1:已支付")
    private Integer payStatus;

    /**
     * 充值单号
     */
    @TableField("recharge_no")
    @ApiModelProperty("充值单号")
    private String rechargeNo;

    /**
     * 技师ID
     */
    @TableField("js_id")
    @ApiModelProperty("技师ID")
    private String jsId;

    /**
     * 金额
     */
    @TableField("d_money")
    @ApiModelProperty("金额")
    private BigDecimal dMoney;

    /**
     * 创建时间
     */
    @TableField("dt_create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime dtCreateTime;

    @ApiModelProperty("是否删除0否1是")
    @TableLogic
    private Integer isDelete;

    public String getcId() {
        return cId;
    }

    public void setcId(String cId) {
        this.cId = cId;
    }

    public String getcOpenId() {
        return cOpenId;
    }

    public void setcOpenId(String cOpenId) {
        this.cOpenId = cOpenId;
    }

    public BigDecimal getdMoney() {
        return dMoney;
    }

    public void setdMoney(BigDecimal dMoney) {
        this.dMoney = dMoney;
    }

    public LocalDateTime getDtCreateTime() {
        return dtCreateTime;
    }

    public void setDtCreateTime(LocalDateTime dtCreateTime) {
        this.dtCreateTime = dtCreateTime;
    }
}
